Name:           auto
Version:        1.5.4
Release:        %mkrel 1
Group:          Development/Java
Summary:        A collection of source code generators for Java
License:        ASL 2.0

URL:            https://github.com/google/auto
# Source tarball is generated by script to ensure the correct tagged
# code is fetched for the various submodules
Source0:        auto-value-%{version}.tar.gz
Source1:        gen_auto_tarball.sh

BuildRequires:  maven-local
BuildRequires:  mvn(com.squareup:javapoet)

BuildArch:      noarch

%description
The Auto sub-projects are a collection of code generators
that automate those types of tasks.


%package common
Summary:        Auto Common Utilities
# Obsoletes added in F30
Obsoletes:      %{name}-factory < %{version}-%{release}

%description common
Common utilities for creating annotation processors.


%package service
Summary:        Provider-configuration files for ServiceLoader

%description service
A configuration/meta-data generator for
java.util.ServiceLoader-style service
providers.


%package value
Summary:        Auto Value

%description value
Immutable value-type code generation for Java 1.6+.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.


%prep
%setup -q -n auto-value-%{version}
find -name '*.class' -print -delete
find -name '*.jar' -print -delete

# remove unnecessary dependency on parent POM
%pom_remove_parent

# Disable factory module due to missing dep:
# com.google.googlejavaformat:google-java-format
%pom_disable_module factory build-pom.xml

# Fix deps in service module
%pom_xpath_set "pom:parent/pom:version" 6 service
%pom_change_dep com.google.auto:auto-common com.google.auto:auto-common:0.10 service

%pom_remove_plugin org.apache.maven.plugins:maven-checkstyle-plugin
%pom_remove_plugin :maven-shade-plugin value
%pom_remove_plugin :maven-invoker-plugin value

# Broader guava compatibility
sed -i -e 's/23.5-jre/20.0/' pom.xml
sed -i -e 's/toImmutableMap/toMap/' -e 's/static com.google.common.collect.ImmutableMap/static java.util.stream.Collectors/' \
  -e '/elementValues/s/ImmutableMap/Map/' \
  common/src/main/java/com/google/auto/common/SimpleAnnotationMirror.java
sed -i -e 's/toImmutableSet/toSet/' -e 's/static com.google.common.collect.ImmutableSet/static java.util.stream.Collectors/' \
  -e '/ImmutableSet</s/ImmutableSet/Set/' \
  service/src/main/java/com/google/auto/service/processor/AutoServiceProcessor.java

%mvn_package :build-only __noinstall


%build
# skip test suite because of unpackaged dependencies for tests
%mvn_build -sf -- -f build-pom.xml


%install
%mvn_install


%files -f .mfiles-%{name}-parent
%dir %{_javadir}/%{name}
%doc README.md
%license LICENSE.txt

%files common -f .mfiles-%{name}-common
%doc common/README.md
%license LICENSE.txt

%files service -f .mfiles-%{name}-service
%doc service/README.md
%license LICENSE.txt

%files value -f .mfiles-%{name}-value
%doc value/README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Wed Sep 02 2020 daviddavid <daviddavid> 1.5.4-1.mga8
+ Revision: 1620905
- Update to version 1.5.4
- Don't use compat version of guava any longer
- Allow compatibility with a broader range of guava versions
- Remove unneeded dep on plexus-java, used only for integration tests that we do
  not execute
- Rebuilt for JDK-11

* Sat Feb 15 2020 umeabot <umeabot> 1.4.1-2.mga8
+ Revision: 1527610
- Mageia 8 Mass Rebuild

* Thu Jul 18 2019 daviddavid <daviddavid> 1.4.1-1.mga8
+ Revision: 1422401
- Update to release 1.4.1 of auto
- Disable unused factory module due to missing deps

* Wed Dec 12 2018 daviddavid <daviddavid> 1.3-1.mga7
+ Revision: 1340795
- new version: 1.3 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 1.1-6.mga7
+ Revision: 1260985
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1-5.mga7
+ Revision: 1260106
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1-4.mga7
+ Revision: 1259782
- Mageia 7 Mass Rebuild

* Sat May 13 2017 neoclust <neoclust> 1.1-3.mga6
+ Revision: 1100764
- imported package auto


* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 13 2015 gil cattaneo <puntogil@libero.it> 1.1-1
- update to 1.1

* Wed Apr 01 2015 gil cattaneo <puntogil@libero.it> 1.0-2
- enable factory module

* Tue Mar 31 2015 gil cattaneo <puntogil@libero.it> 1.0-1
- initial rpm
